CREATE TABLE hrt_profile_logs (
    PROFILE_LOG_ID           NUMBER(18, 0),
    PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    TABLE_NAME               VARCHAR2(120)    NOT NULL,
    STATUS                   VARCHAR2(120)    NOT NULL,
    KEY_COL_NAME             VARCHAR2(120),
    KEY_COL_VALUE            VARCHAR2(960),
    ALTERNATE_COL_NAME       VARCHAR2(120),
    ALTERNATE_COL_VALUE      VARCHAR2(960),
    ACTION_TYPE              VARCHAR2(120)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    VERSION_NUMBER           VARCHAR2(400),
    PROFILE_DATA             CLOB         ,
    MODULE                   VARCHAR2(256),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PROFILE_LOG_ID           NUMBER(18, 0),
    PROFILE_ID               NUMBER(18, 0)    NOT NULL,
    TABLE_NAME               VARCHAR2(120)    NOT NULL,
    STATUS                   VARCHAR2(120)    NOT NULL,
    KEY_COL_NAME             VARCHAR2(120),
    KEY_COL_VALUE            VARCHAR2(960),
    ALTERNATE_COL_NAME       VARCHAR2(120),
    ALTERNATE_COL_VALUE      VARCHAR2(960),
    ACTION_TYPE              VARCHAR2(120)    NOT NULL,
    ACTION_DATE              TIMESTAMP(6)     NOT NULL,
    VERSION_NUMBER           VARCHAR2(400),
    PROFILE_DATA             CLOB         ,
    MODULE                   VARCHAR2(256),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_hrt_profile_logs PRIMARY KEY (PROFILE_LOG_ID, PROFILE_LOG_ID)
);
